> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 전용 IP 가져오기

> 전용 IP 조회

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: 전용 IP 조회
      description: 전용 IP 세부 정보를 얻으세요.
      operationId: >-
        get_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: 할당을 위한 자율 시스템 번호
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: 할당을 위한 ISO 국가 코드
          title: 국가 코드
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 생성 타임스탬프
          title: 생성일
        id:
          description: 전용 IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: 이 할당의 공개 주소
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP 주소
          type: array
        name:
          description: 고객이 볼 수 있는 전용 IP 이름
          title: 이름
          type: string
        status:
          description: 프로비저닝 또는 수명주기 상태
          title: 상태
          type: string
        type:
          description: 전용 IP 할당 유형
          title: 유형
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 마지막 업데이트 타임스탬프
          title: 업데이트일
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    PublicDedicatedIpAddressResponse:
      description: 평판 신호가 없는 공용 전용 IP 주소 메타데이터입니다.
      properties:
        fcrdns_confirmed:
          default: false
          description: 순방향 확인 역방향 DNS 통과 여부
          title: Fcrdns가 확인되었습니다.
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 가능한 경우 현재 건강 상태
          title: 정상
        ip:
          description: 공개 IP 주소
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: 구성된 경우 DNS 호스트 이름을 반대로 바꿉니다.
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````